Package org.eclipse.ecf.provider.comm

# Interface ISynchEventHandler

All Superinterfaces:
  `IConnectionListener`

All Known Subinterfaces:
  `ISynchAsynchEventHandler`

public interface ISynchEventHandler extends IConnectionListener

## Method Summary

Modifier and Type
Method
Description
`Object`
`handleSynchEvent(SynchEvent event)`

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnectionListener

`getEventHandlerID, handleConnectEvent, handleDisconnectEvent`

## Method Details

### handleSynchEvent

Object handleSynchEvent(SynchEvent event) throws IOException

Throws:
  `IOException`